> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the sale receipts paginated list



## OpenAPI

````yaml api-reference/openapi.json get /api/sale-receipts
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/sale-receipts:
    get:
      tags:
        - Sale Receipts
      summary: Retrieves the sale receipts paginated list
      operationId: SaleReceiptsController_getSaleReceipts
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/SaleReceiptResponseDto'
components:
  schemas:
    PaginatedResponseDto:
      type: object
      properties:
        pagination:
          description: Pagination metadata
          allOf:
            - $ref: '#/components/schemas/Pagination'
      required:
        - pagination
    SaleReceiptResponseDto:
      type: object
      properties:
        id:
          type: number
          description: The unique identifier of the sale receipt
          example: 1
        receiptDate:
          format: date-time
          type: string
          description: The date of the sale receipt
          example: '2024-01-01T00:00:00Z'
        receiptNumber:
          type: string
          description: The receipt number
          example: SR-2024-001
        referenceNo:
          type: string
          description: The reference number
          example: REF-001
        customerId:
          type: number
          description: The ID of the customer
          example: 1
        customer:
          description: The customer details
          allOf:
            - $ref: '#/components/schemas/CustomerResponseDto'
        depositAccountId:
          type: number
          description: The ID of the deposit account
          example: 1
        depositAccount:
          description: The deposit account details
          allOf:
            - $ref: '#/components/schemas/AccountResponseDto'
        exchangeRate:
          type: number
          description: The exchange rate for currency conversion
          example: 1
        currencyCode:
          type: string
          description: The currency code
          example: USD
        receiptMessage:
          type: string
          description: The message on the receipt
          example: Thank you for your payment
        statement:
          type: string
          description: The statement on the receipt
          example: Paid in full
        closed:
          type: boolean
          description: Whether the receipt is closed
          example: false
        closedAt:
          type: object
          description: The date when the receipt was closed
          example: '2024-01-02T00:00:00Z'
        warehouseId:
          type: number
          description: The ID of the warehouse
          example: 1
        warehouse:
          description: The warehouse details
          allOf:
            - $ref: '#/components/schemas/WarehouseResponseDto'
        branchId:
          type: number
          description: The ID of the branch
          example: 1
        branch:
          description: The branch details
          allOf:
            - $ref: '#/components/schemas/BranchResponseDto'
        entries:
          description: The entries of the sale receipt
          type: array
          items:
            $ref: '#/components/schemas/ItemEntryDto'
        attachments:
          description: The attachments of the sale receipt
          type: array
          items:
            $ref: '#/components/schemas/AttachmentLinkDto'
        discount:
          type: number
          description: The discount value
          example: 100
        discountType:
          type: string
          description: The type of discount (percentage or fixed)
          enum:
            - percentage
            - amount
          example: percentage
        adjustment:
          type: number
          description: The adjustment amount
          example: 50
        subtotal:
          type: number
          description: The subtotal amount before discount and adjustments
          example: 900
        subtotalLocal:
          type: number
          description: The subtotal in local currency
          example: 900
        subtotalFormatted:
          type: string
          description: The formatted subtotal
          example: '900.00'
        subtotalLocalFormatted:
          type: string
          description: The formatted subtotal in local currency
          example: '900.00'
        total:
          type: number
          description: The total amount after discount and adjustments
          example: 1000
        totalLocal:
          type: number
          description: The total in local currency
          example: 1000
        totalFormatted:
          type: string
          description: The formatted total
          example: 1,000.00
        totalLocalFormatted:
          type: string
          description: The formatted total in local currency
          example: 1,000.00
        formattedAmount:
          type: string
          description: The formatted amount
          example: 1,000.00
        formattedReceiptDate:
          type: string
          description: The formatted receipt date
          example: '2024-01-01'
        formattedClosedAtDate:
          type: string
          description: The formatted closed at date
          example: '2024-01-02'
        formattedCreatedAt:
          type: string
          description: The formatted created at date
          example: '2024-01-01'
        discountAmountFormatted:
          type: string
          description: The formatted discount amount
          example: '100.00'
        discountPercentageFormatted:
          type: string
          description: The formatted discount percentage
          example: 10%
        adjustmentFormatted:
          type: string
          description: The formatted adjustment amount
          example: '50.00'
        createdAt:
          format: date-time
          type: string
          description: The date when the receipt was created
          example: '2024-01-01T00:00:00Z'
        updatedAt:
          format: date-time
          type: string
          description: The date when the receipt was last updated
          example: '2024-01-02T00:00:00Z'
      required:
        - id
        - receiptDate
        - receiptNumber
        - customerId
        - customer
        - depositAccountId
        - depositAccount
        - closed
        - entries
        - subtotal
        - subtotalLocal
        - subtotalFormatted
        - subtotalLocalFormatted
        - total
        - totalLocal
        - totalFormatted
        - totalLocalFormatted
        - formattedAmount
        - formattedReceiptDate
        - formattedClosedAtDate
        - formattedCreatedAt
        - discountAmountFormatted
        - discountPercentageFormatted
        - adjustmentFormatted
        - createdAt
    Pagination:
      type: object
      properties:
        total:
          type: number
          description: Total number of items across all pages
          example: 100
        page:
          type: number
          description: Current page number (1-based)
          example: 1
          minimum: 1
        pageSize:
          type: number
          description: Number of items per page
          example: 10
          minimum: 1
      required:
        - total
        - page
        - pageSize
    CustomerResponseDto:
      type: object
      properties:
        balance:
          type: number
          example: 1500
        currencyCode:
          type: string
          example: USD
        openingBalance:
          type: number
          example: 1000
        openingBalanceAt:
          format: date-time
          type: string
          example: '2024-01-01T00:00:00Z'
        openingBalanceExchangeRate:
          type: number
          example: 1
        openingBalanceBranchId:
          type: number
          example: 1
        salutation:
          type: string
          example: Mr.
        firstName:
          type: string
          example: John
        lastName:
          type: string
          example: Doe
        companyName:
          type: string
          example: Acme Corporation
        displayName:
          type: string
          example: John Doe - Acme Corporation
        email:
          type: string
          example: john.doe@acme.com
        workPhone:
          type: string
          example: +1 (555) 123-4567
        personalPhone:
          type: string
          example: +1 (555) 987-6543
        website:
          type: string
          example: https://www.acme.com
        billingAddress1:
          type: string
          example: 123 Business Ave
        billingAddress2:
          type: string
          example: Suite 100
        billingAddressCity:
          type: string
          example: New York
        billingAddressCountry:
          type: string
          example: United States
        billingAddressEmail:
          type: string
          example: billing@acme.com
        billingAddressPostcode:
          type: string
          example: '10001'
        billingAddressPhone:
          type: string
          example: +1 (555) 111-2222
        billingAddressState:
          type: string
          example: NY
        shippingAddress1:
          type: string
          example: 456 Shipping St
        shippingAddress2:
          type: string
          example: Unit 200
        shippingAddressCity:
          type: string
          example: Los Angeles
        shippingAddressCountry:
          type: string
          example: United States
        shippingAddressEmail:
          type: string
          example: shipping@acme.com
        shippingAddressPostcode:
          type: string
          example: '90001'
        shippingAddressPhone:
          type: string
          example: +1 (555) 333-4444
        shippingAddressState:
          type: string
          example: CA
        note:
          type: string
          example: Important client with regular monthly orders
        active:
          type: boolean
          example: true
        createdAt:
          format: date-time
          type: string
          example: '2024-01-01T00:00:00Z'
        updatedAt:
          format: date-time
          type: string
          example: '2024-01-01T00:00:00Z'
        localOpeningBalance:
          type: number
          example: 1000
        closingBalance:
          type: number
          example: 1500
      required:
        - balance
        - currencyCode
        - openingBalance
        - openingBalanceAt
        - openingBalanceExchangeRate
        - displayName
        - note
        - active
        - createdAt
        - updatedAt
        - localOpeningBalance
        - closingBalance
    AccountResponseDto:
      type: object
      properties:
        id:
          type: number
          description: The unique identifier of the account
          example: 1
        name:
          type: string
          description: The name of the account
          example: Cash Account
        slug:
          type: string
          description: The slug of the account
          example: cash-account
        code:
          type: string
          description: The code of the account
          example: '1001'
        index:
          type: number
          description: The index of the account
          example: 1
        accountType:
          type: string
          description: The type of the account
          example: bank
        accountTypeLabel:
          type: string
          description: The formatted account type label
          example: Bank Account
        parentAccountId:
          type: number
          description: The parent account ID
          example: null
        predefined:
          type: boolean
          description: Whether the account is predefined
          example: false
        currencyCode:
          type: string
          description: The currency code of the account
          example: USD
        active:
          type: boolean
          description: Whether the account is active
          example: true
        bankBalance:
          type: number
          description: The bank balance of the account
          example: 5000
        bankBalanceFormatted:
          type: string
          description: The formatted bank balance
          example: $5,000.00
        lastFeedsUpdatedAt:
          type: object
          description: The last feeds update timestamp
          example: '2024-03-20T10:30:00Z'
        lastFeedsUpdatedAtFormatted:
          type: string
          description: The formatted last feeds update timestamp
          example: Mar 20, 2024 10:30 AM
        amount:
          type: number
          description: The amount of the account
          example: 5000
        formattedAmount:
          type: string
          description: The formatted amount
          example: $5,000.00
        plaidItemId:
          type: string
          description: The Plaid item ID
          example: plaid-item-123
        plaidAccountId:
          type: string
          description: The Plaid account ID
          example: plaid-account-456
        isFeedsActive:
          type: boolean
          description: Whether the feeds are active
          example: true
        isSyncingOwner:
          type: boolean
          description: Whether the account is syncing owner
          example: true
        isFeedsPaused:
          type: boolean
          description: Whether the feeds are paused
          example: false
        accountNormal:
          type: string
          description: The account normal
          example: debit
        accountNormalFormatted:
          type: string
          description: The formatted account normal
          example: Debit
        flattenName:
          type: string
          description: The flatten name with all dependant accounts names
          example: 'Assets: Cash Account'
        accountLevel:
          type: number
          description: The account level in the hierarchy
          example: 2
        createdAt:
          format: date-time
          type: string
          description: The creation timestamp
          example: '2024-03-20T10:00:00Z'
        updatedAt:
          format: date-time
          type: string
          description: The update timestamp
          example: '2024-03-20T10:30:00Z'
      required:
        - id
        - name
        - slug
        - code
        - index
        - accountType
        - accountTypeLabel
        - parentAccountId
        - predefined
        - currencyCode
        - active
        - bankBalance
        - bankBalanceFormatted
        - lastFeedsUpdatedAt
        - lastFeedsUpdatedAtFormatted
        - amount
        - formattedAmount
        - plaidItemId
        - plaidAccountId
        - isFeedsActive
        - isSyncingOwner
        - isFeedsPaused
        - accountNormal
        - accountNormalFormatted
        - flattenName
        - accountLevel
        - createdAt
        - updatedAt
    WarehouseResponseDto:
      type: object
      properties:
        name:
          type: string
          description: The name of the warehouse
          example: Main Warehouse
        code:
          type: string
          description: The unique code identifier for the warehouse
          example: WH-001
        city:
          type: string
          description: The city where the warehouse is located
          example: New York
        country:
          type: string
          description: The country where the warehouse is located
          example: United States
        address:
          type: string
          description: The full address of the warehouse
          example: 123 Warehouse Street, New York, NY 10001
        primary:
          type: boolean
          description: Indicates if this is the primary warehouse
          example: true
      required:
        - name
        - code
        - city
        - country
        - address
        - primary
    BranchResponseDto:
      type: object
      properties:
        id:
          type: number
          description: Branch ID
          example: 1
        name:
          type: string
          description: Branch name
          example: Main Branch
        code:
          type: string
          description: Branch code
          example: BR001
        address:
          type: string
          description: Branch address
          example: 123 Main Street
        city:
          type: string
          description: Branch city
          example: New York
        country:
          type: string
          description: Branch country
          example: USA
        phoneNumber:
          type: string
          description: Branch phone number
          example: +1-555-123-4567
        email:
          type: string
          description: Branch email
          example: branch@example.com
        website:
          type: string
          description: Branch website
          example: https://www.example.com/branch
        primary:
          type: boolean
          description: Whether this is the primary branch
          example: true
        createdAt:
          format: date-time
          type: string
          description: Creation timestamp
          example: '2024-03-20T10:00:00Z'
        updatedAt:
          format: date-time
          type: string
          description: Last update timestamp
          example: '2024-03-20T10:00:00Z'
      required:
        - id
        - name
        - code
        - address
        - city
        - country
        - phoneNumber
        - email
        - website
        - primary
        - createdAt
        - updatedAt
    ItemEntryDto:
      type: object
      properties:
        index:
          type: number
          description: The index of the item entry
          example: 1
        itemId:
          type: number
          description: The id of the item
          example: 1
        rate:
          type: number
          description: The rate of the item entry
          example: 1
        quantity:
          type: number
          description: The quantity of the item entry
          example: 1
        discount:
          type: number
          description: The discount of the item entry
          example: 1
        discountType:
          type: string
          description: The type of the discount
          example: percentage
        description:
          type: string
          description: The description of the item entry
          example: This is a description
        taxCode:
          type: string
          description: The tax code of the item entry
          example: '123456'
        taxRateId:
          type: number
          description: The tax rate id of the item entry
          example: 1
        warehouseId:
          type: number
          description: The warehouse id of the item entry
          example: 1
        projectId:
          type: number
          description: The project id of the item entry
          example: 1
        projectRefId:
          type: number
          description: The project ref id of the item entry
          example: 1
        projectRefType:
          type: string
          description: The project ref type of the item entry
          example: TASK
        projectRefInvoicedAmount:
          type: number
          description: The project ref invoiced amount of the item entry
          example: 100
        sellAccountId:
          type: number
          description: The sell account id of the item entry
          example: 1020
        costAccountId:
          type: number
          description: The cost account id of the item entry
          example: 1021
      required:
        - index
        - itemId
        - rate
        - quantity
        - discount
        - discountType
        - description
        - taxCode
        - taxRateId
        - warehouseId
        - projectId
        - projectRefId
        - projectRefType
        - projectRefInvoicedAmount
        - sellAccountId
        - costAccountId
    AttachmentLinkDto:
      type: object
      properties: {}

````